Subject: Re: Cygwin Bash shell on Windows 2003 Server not working
From: [email-masked] (Eric Blake)
To: Nitin Agarwal <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Feb 2006 01:10:13 +0000

Wrong approach.  On this list, the etiquette is to send to the
list, not to me.  Put your reply under mine, not over (reformatted
accordingly).
http://cygwin.com/acronyms/#PPIOSPE
http://cygwin.com/acronyms/#TOFU

At least you didn't quote raw email addresses this time.  Thank you.

> 
> Nitin Agarwal
> 
> On 2/24/06,Eric Blake <ericblake AT comcast DOT net> wrote:
> 
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > Double ugh - two times in a row, right after I already told you not to!
> > PLEASE follow directions, and
> > http://cygwin.com/acronyms/#PCYMTNQREAIYR
> > Otherwise, I might be disinclined to offer further advice.
> >
> > > On 2/23/06, Eric Blake <ericblake AT comcast DOT net> wrote:
> >                                   ^^^^       ^^^^^
> >
> > >
> > >>Ugh - topposting reformatted: http://cygwin.com/acronyms/#TOFU
> > >>
> > >>
> > >>>On 2/23/06, Eric Blake <ebb9 AT byu DOT net> wrote:
> > >>
> > >>                             ^^^^   ^^^^^
> > >>
> > >>Ugh - raw email: http://cygwin.com/acronyms/#PCYMTNQREAIYR
> > >>
> > >>
> > Next step - in the cmd.com window, run '.\bash' without arguments, to see
> > if it is still crashing.  If so, run 'strace -o strace.out bash', and post
> > that somewhere where the list readers can see it (strace output tends to
> > be large, so don't send it to the list if it is larger than, say 200k or
> > so).  That may give the cygwin1.dll developers an idea of what is causing
> > the crash.
> >
> > > Is there a way reinstall just BASH.exe and run the post install script?
> >
> > Yes, run setup.exe, find the bash package, and cycle the button until it
> > says reinstall.  Then setup.exe will reinstall bash.exe and (attempt to)
> > run the postinstall script.  If you are lucky, then you currently have a
> > corrupt bash.exe, and the reinstallation will solve problems.  But my
> > guess is that since you are seeing crashes when trying to run bash, that
> > you will see the same crashes when reinstalling it via setup.exe.  The
> > problem now is figuring out why bash is crashing.
> >
> > Others have also suggested checking for invasive programs, such as virus
> > scanners or firewalls, that may be interfering with cygwin's ability to run.
> >
> > - --
> > Life is short - so eat dessert first!
> >

> Eric,
> 
> I am using Windows VPS (virtual machine) with a webhost though I am
> the administrator of the VPS. It just behaves like a stand alone box
> but I am not sure if that is the problem with bash installation.
> Because I am getting the error related to SECURITY i.e.
> STATUS_ACCESS_VIOLATION.
> 
> Do you know if the bash needs some special permissions and should have
> permissions on actual box other than VPS?
> 
> I will post the strace output later.
> 
> Thanks very much for your help.

One other thing to try is the experimental bash-3.1-2, rather than
the default bash-3.0-14.  Perhaps some bug present in the earlier
bash was fixed in the newer version.

-- 
Eric Blake

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/